# Method: users.aliases.watch

Watches for changes in users list.

### HTTP request

`POST https://admin.googleapis.com/admin/directory/v1/users/{userKey}/aliases/watch`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userKey` | `string` Email or immutable ID of the user |

### Query parameters

| Parameters ||
|---|---|
| `event` | ``enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/users.aliases/watch#Event`)`` Events to watch for. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/SubscriptionChannel`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/SubscriptionChannel`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://apps-apis.google.com/a/feeds/alias/`
- `
  https://www.googleapis.com/auth/admin.directory.user`
- `
  https://www.googleapis.com/auth/admin.directory.user.readonly`
- `
  https://www.googleapis.com/auth/admin.directory.user.alias`
- `
  https://www.googleapis.com/auth/admin.directory.user.alias.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## Event

| Enums ||
|---|---|
| `ADD` | Alias Created Event |
| `DELETE` | Alias Deleted Event |